#ifndef CHECKDAO_H
#define CHECKDAO_H

#include "BaseDao.h"

// 检定设备角色
class ZdDeviceRoleDto {
public:
    QString id;
    QString belongVername; // 检定装置名称字典
    QString belongCheckname; // 核查装置名称字典
    QString categoryId; // 检定/核查项目id
    QString categoryName; // 分类名称
    QString deviceId; // 设备ID
    QString deviceType; // 被检0 标准1
    QString role; // 角色
};

class CheckDao : public BaseDao
{
public:
    CheckDao();

    QStringList getMeasureItemCategoryByModels(QStringList modelIds);
    QStringList getSelectedTaskMeasureItemCategory(QStringList taskSampleIds);
    DeviceMeasureCategoryDto getDeviceMeasureCategoryById(QString categoryId);

    QList<ZdDeviceRoleDto> getDeviceRoleByCategory(QString categoryId);
};

#endif // CHECKDAO_H
